### 二维列表
<img class="exampleImage" src="../../images/layout/grid_view1.png"/>
<img class="exampleImage" src="../../images/layout/grid_view2.png"/>

GridView 可以定义一个类似于二维数组的列表，里面的元素从上到下，从左到右的排列，每行子元素的最大数量相同。
GridView 是个无限滚动的列表，其本质是一个 scrollable widget，也就是一个 Viewport，所以需要放在一个具有固定高度的容器里面，否则会因为无法计算 RenderBox 的高度而渲染失败。同样 GridView 子元素需要具有 RenderSliver 的特征，否则无法正常滚动，一般使用 GridTile 作为 children 的 widget。
GridView 和 ListView 最主要的区别是，GridView 一行可以有多个子元素，而 ListView 一行只能有一个子元素。
GridView 作为一个无限滚动的列表需要在外层容器指定高度，和 Column 这样可以根据子元素的内容自动计算高度的布局方式，具有不一样的使用场景，千万不要弄混！
GridView 有多种生成方式，常用的是：GridView.count, GridView.extent。
GridView.count 方式，通过 crossAxisCount 指定有几列，来自动计算每个元素占据的宽度。
GridView.extent 方式，通过 maxCrossAxisExtent 指定每个元素占据的最大宽度，来自动计算一共有几列。
### 代码
<<< @/lib/example/layout/grid_view.dart
