### 列表
<img class="exampleImage" src="../../images/layout/list_view.png"/>

ListView 是个无限滚动的列表，其本质是一个 scrollable widget，也就是一个 Viewport，所以需要放在一个具有固定高度的容器里面，否则会因为无法计算 RenderBox 的高度而渲染失败。同样 ListView 子元素需要具有 RenderSliver 的特征，否则无法正常滚动，一般使用 ListTile 作为 children 的 widget。
ListView 的每一个子元素会单独占据一行的空间。
ListView 作为一个无限滚动的列表需要在外层容器指定高度，和 Column 这样可以根据子元素的内容自动计算高度的布局方式，具有不一样的使用场景，千万不要弄混！千万不要弄混！千万不要弄混！
ListView 有多种生成方式，常用的是：ListView, ListView.builder。
ListView 方式，直接通过 children 指定所有子元素，这种方式比较适用于短列表。
ListView.builder 方式，通过 itemBuilder 来动态计算并渲染视图内的每一个子元素，RenderObject 上并没有所有的子元素，只有当前视图内的子元素。可以指定 itemCount （视图内的最少元素数量），当实际视图内的元素数量低于这个值时，会停止滚动。这种方式比较适用于长列表，或者无限长的列表，对性能有很大的提升。
另外：下拉刷新的 onRefresh 方法，返回值类型必须是 Future，一般设为 async 函数。
### 代码
<<< @/lib/example/layout/list_view.dart
