import 'package:flutter/material.dart';
import 'package:yui/example/_common/screenutil.dart';

class Yui {
  /// 全局存放context 方面提供一些静态方法读取，但是必须记得在使用前初始化。
  static BuildContext context;
  static init(BuildContext _context) {
    context = _context;
    ScreenUtil.instance = ScreenUtil(width: 720, height: 1280)..init(context);
  }

  /// 按高的比例获取计算后的大小。一般你的项目是竖屏的项目 考虑使用它。
  static num width(int width) {
    return ScreenUtil.instance.setWidth(width);
  }

  /// 按高的比例获取计算后的大小。一般你的项目是横屏的项目 已经不推荐使用
  @deprecated
  static num height(int height) {
    return ScreenUtil.instance.setHeight(height);
  }

  /// 获取计算后的大小,我们的app基本都是竖屏使用的。所以所有大小都通过按宽的比例计算最终大小。Ui适配过程中尽量使用该方法
  static num rpx(num width) {
    return ScreenUtil.instance.setWidth(width);
  }

  ///字体大小适配方法
  ///@param fontSize 传入设计稿上字体的px ,
  ///@param allowFontScaling 控制字体是否要根据系统的“字体大小”辅助选项来进行缩放。默认值为false。
  ///@param allowFontScaling Specifies whether fonts should scale to respect Text Size accessibility settings. The default is false
  static num fontSize(int fontSize, [allowFontScaling = false]) {
    return ScreenUtil.instance.setSp(fontSize, allowFontScaling);
  }

  static EdgeInsets edgeInsetsfromLTRB(left, top, right, bottom) {
    return EdgeInsets.fromLTRB(
        ScreenUtil.instance.setWidth(left),
        ScreenUtil.instance.setWidth(top),
        ScreenUtil.instance.setWidth(right),
        ScreenUtil.instance.setWidth(bottom));
  }

  static EdgeInsets edgeInsetsAll(num size) {
    return EdgeInsets.all(ScreenUtil.instance.setWidth(size));
  }

  static EdgeInsets edgeInsetsSymmetric(
      {num vertical = 0.0, num horizontal = 0.0}) {
    return EdgeInsets.symmetric(
      vertical: ScreenUtil.instance.setWidth(vertical),
      horizontal: ScreenUtil.instance.setWidth(horizontal),
    );
  }
}
