import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';
import 'dart:async';

import 'package:yui/component/basic/global.dart';

class YLoading {
  static _LoadingState _loading;
  static void setLoading(_LoadingState loadintState) {
    _loading = loadintState;
  }

  static show([int time = 1 * 60 * 1000]) {
    _loading.show(time);
  }

  static hide() {
    _loading.hide();
  }
}

class Loading extends StatefulWidget {
  @override
  _LoadingState createState() => _LoadingState();
}

class _LoadingState extends State<Loading> {
  num loadingNum = 0;
  Color maskColor =const Color(0x00000000);
  Timer timer;

  @override
  void initState() {
    super.initState();
    YLoading.setLoading(this);
  }

  @override
  Widget build(BuildContext context) {
    if (loadingNum > 0) {
      return Positioned.fill(
        child: new Directionality(
          textDirection: TextDirection.ltr,
          child: Container(
            color: maskColor,
            child: Center(
              child: Container(
                width: Yui.rpx(160),
                height: Yui.rpx(160),
                decoration: BoxDecoration(
                    color: const Color(0x99000000),
                    border: Border.all(
                      width: 1,
                      color: Colors.grey,
                    ),
                    borderRadius:
                        BorderRadius.all(Radius.circular(Yui.rpx(10)))),
                child: SpinKitCircle(
                  color: Colors.white,
                  size: Yui.rpx(80),
                ),
              ),
            ),
          ),
        ),
      );
    } else {
      return Container();
    }
  }

  show(int time) {

    
    changeLoadingNum(loadingNum + 1);
    if (loadingNum > 0) {
      if (timer != null) {
        timer.cancel();
      }
      timer = new Timer(Duration(milliseconds: time), () {
        try {
          changeLoadingNum(0);
        } catch (e) {}
      });
    }
  }

  @override
  void dispose() {
    timer.cancel();
    super.dispose();
  }

  hide() {
    changeLoadingNum(loadingNum - 1);
  }

  changeLoadingNum(loadingNumber) {
    setState(() {
      loadingNum = loadingNumber;
    });
  }
}
