import 'package:flutter/material.dart';
import 'package:flutter_markdown/flutter_markdown.dart';
import 'package:yui/component/basic/global.dart';
import 'package:yui/component/basic/theme.dart';
import 'package:yui/main.dart';

class BaseDemo extends StatefulWidget {
  ExampleBase demoComponent;
  String title;
  BaseDemo(this.title, this.demoComponent);
  _BaseDemoState createState() => _BaseDemoState();
}

class _BaseDemoState extends State<BaseDemo>
    with SingleTickerProviderStateMixin {
  TabController _tabcontrl;
  @override
  void initState() {
    _tabcontrl = new TabController(vsync: this, initialIndex: 0, length: 2);
    super.initState();
  }

  @override
  void dispose() {
    _tabcontrl.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
        bottom: TabBar(
          unselectedLabelColor: YuiColors.primaryColor,
          labelColor: YuiColors.primaryColor,
          labelStyle: TextStyle(
            color: YuiColors.primaryColor,
          ),
          tabs: <Widget>[
            Tab(
              child: Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: <Widget>[
                  Icon(
                    Icons.code,
                    color: YuiColors.fontColorblack,
                  ),
                  SizedBox(
                    width: 4,
                  ),
                  Text(
                    '例子',
                    style: TextStyle(
                      fontSize: Yui.rpx(28),
                      color: YuiColors.fontColorblack,
                    ),
                  ),
                ],
              ),
            ),
            Tab(
                child: Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
                Icon(
                  Icons.insert_drive_file,
                  color: YuiColors.fontColorblack,
                ),
                SizedBox(
                  width: 4,
                ),
                Text(
                  '文档',
                  style: TextStyle(
                    fontSize: Yui.rpx(28),
                    color: YuiColors.fontColorblack,
                  ),
                ),
              ],
            ))
          ],
          controller: _tabcontrl,
        ),
      ),
      body: TabBarView(
        children: <Widget>[
          widget.demoComponent.getWidget(context),
          FutureBuilder(
            future: DefaultAssetBundle.of(context)
                .loadString('assets/docs/md/${widget.demoComponent.path}.md'),
            builder: (context, snapshot) {
              if (snapshot.hasData) {
                return Markdown(data: snapshot.data.toString());
              }
              return Container(
                width: 50,
                height: 50,
                child: CircularProgressIndicator(),
              );
            },
          ),
        ],
        controller: _tabcontrl,
      ),
    );
  }
}

class DemoTitle extends StatelessWidget {
  final String child;

  DemoTitle(this.child);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        Row(
          children: <Widget>[
            Container(
              width: Yui.rpx(5),
              height: Yui.rpx(50),
              decoration: BoxDecoration(
                color: YuiColors.primaryColor,
              ),
              margin: EdgeInsets.only(
                right: Yui.rpx(50),
                left: Yui.rpx(0),
              ),
            ),
            Text(child,
                style: TextStyle(
                  color: YuiColors.primaryColor,
                  fontSize: Yui.rpx(30),
                )),
          ],
        ),
        // Divider(
        //   height: 0,
        // )
      ],
    );
  }
}
