import 'package:flutter/material.dart';
import 'package:yui/component/layout/cell.dart';
import 'package:yui/example/_common/base.dart';
import 'package:yui/main.dart';

class ComponentItemPage extends StatelessWidget {
  String title = '';
  List<ItemLabel> list = [];
  ComponentItemPage(this.title, this.list);

  @override
  Widget build(BuildContext context) {
    // SystemChrome.setSystemUIOverlayStyle(SystemUiOverlayStyle.light);

    var textTheme = Theme.of(context).textTheme;
    return Scaffold(
      appBar: AppBar(
        title: Text(title),
      ),
      body: ListView.builder(
        itemCount: list.length,
        itemBuilder: (c, index) {
          var item = list[index];
          return YCell(
            title: Text(item.title ?? ''),
            subtitle: item.desc != '' ? Text(item.desc) : null,
            trailing: Icon(Icons.keyboard_arrow_right),
            onTap: () {
              Navigator.of(context).push(MaterialPageRoute(
                  builder: (c) => BaseDemo(title, item.page)));
            },
          );
        },
      ),
    );
  }
}
