import 'package:flutter/material.dart';
import 'package:yui/component/basic/button.dart';
import 'package:yui/component/basic/global.dart';
import 'package:yui/example/_common/base.dart';
import 'package:yui/main.dart';

class ButtonDemo extends ExampleBase {
  ButtonDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    var textTheme = Theme.of(context).textTheme;
    return Container(
      padding: EdgeInsets.symmetric(vertical: 10, horizontal: 10),
      child: ListView(
        children: <Widget>[
          Container(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                DemoTitle('扁平按钮'),
                SizedBox(
                  height: 10,
                ),
                YButton(
                    iconData: Icons.library_add,
                    title: '设置Icon',
                    width: 230,
                    height: Yui.rpx(100),
                    onPressed: () {}),
                SizedBox(
                  height: 10,
                ),
                YButton(
                  title: 'Loading',
                  width: 200,
                  height: Yui.rpx(100),
                  fontSize: 18,
                  color: Colors.green,
                  onPressed: () {},
                  loading: true,
                ),
                SizedBox(
                  height: 10,
                ),
                YButton(
                  title: '不可操作',
                  disabled: true,
                ),
              ],
            ),
          ),
          Container(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                SizedBox(
                  height: 20,
                ),
                DemoTitle('镂空按钮'),
                SizedBox(
                  height: 10,
                ),
                YButton(
                  title: '操作按钮',
                  onPressed: () {},
                  plain: YButtonPlainType.outline,
                ),
                SizedBox(
                  height: 10,
                ),
                YButton(
                    title: 'Loading',
                    iconData: Icons.dialer_sip,
                    onPressed: () {},
                    height: 50,
                    loading: true,
                    plain: YButtonPlainType.outline),
                SizedBox(
                  height: 10,
                ),
                YButton(
                    iconData: Icons.dialer_sip,
                    title: '不可操作',
                    disabled: true,
                    plain: YButtonPlainType.outline),
              ],
            ),
          ),
          Container(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                SizedBox(
                  height: 20,
                ),
                DemoTitle('不同类型'),
                SizedBox(
                  height: 10,
                ),
                Container(
                  height: 400,
                  child: GridView.count(
                    crossAxisCount: 3,
                    mainAxisSpacing: 20,
                    crossAxisSpacing: Yui.rpx(100),
                    children: <Widget>[
                      YButton(
                        title: '按钮',
                        type: YButtonType.primary,
                        height: 30,
                        onPressed: () {},
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.success,
                        onPressed: () {},
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.danger,
                        onPressed: () {},
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.warning,
                        onPressed: () {},
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.info,
                        onPressed: () {},
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.primary,
                        onPressed: () {},
                        width: 90,
                        plain: YButtonPlainType.outline,
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.success,
                        onPressed: () {},
                        width: 90,
                        plain: YButtonPlainType.outline,
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.danger,
                        onPressed: () {},
                        width: 90,
                        plain: YButtonPlainType.outline,
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.warning,
                        onPressed: () {},
                        width: 90,
                        plain: YButtonPlainType.outline,
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.info,
                        onPressed: () {},
                        width: 90,
                        plain: YButtonPlainType.outline,
                      ),
                      YButton(
                        disabled: true,
                        title: '按钮',
                        type: YButtonType.primary,
                        onPressed: () {},
                        width: 90,
                      ),
                      YButton(
                        disabled: true,
                        title: '按钮',
                        type: YButtonType.success,
                        onPressed: () {},
                        width: 90,
                      ),
                      YButton(
                        disabled: true,
                        title: '按钮',
                        type: YButtonType.danger,
                        onPressed: () {},
                        width: 90,
                      ),
                      YButton(
                        disabled: true,
                        title: '按钮',
                        type: YButtonType.warning,
                        onPressed: () {},
                        width: 90,
                      ),
                      YButton(
                        disabled: true,
                        title: '按钮',
                        type: YButtonType.info,
                        onPressed: () {},
                        width: 90,
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.primary,
                        circle: true,
                        onPressed: () {},
                        width: 90,
                      ),
                      YButton(
                        title: '按钮',
                        type: YButtonType.success,
                        onPressed: () {},
                        borderRadius: BorderRadius.all(Radius.circular(10)),
                        width: 90,
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
