import 'package:flutter/material.dart';
import 'package:yui/component/basic/global.dart';
import 'package:yui/example/_common/base.dart';
import 'package:yui/main.dart';

List fontSize = [
  {'size': 20.0, 'desc': '适用辅助文字、标签文字'},
  {'size': 24.0, 'desc': '适用辅助文字、标签文字'},
  {'size': 28.0, 'desc': '适用辅助文字、段落正文等'},
  {'size': 32.0, 'desc': '适用模块标题、列表车货信息等'},
  {'size': 36.0, 'desc': '适用顶部标题、单行内容文字（标题加粗)'},
  {'size': 40.0, 'desc': '适用大标题、重点需提示信息文字（货源/线路字体加粗）'},
];

class FontDemo extends ExampleBase {
  FontDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(vertical: 10, horizontal: 10),
      child: ListView(
        children: getList(),
      ),
    );
  }

  List<Widget> getList() {
    List<Widget> list = [];
    list.add(DemoTitle('字体大小'));
    list.addAll(fontSize.map<Widget>((dynamic data) {
      return ListTile(
        title: Text(
          '${data['size']}px',
          style: TextStyle(
            fontSize: Yui.rpx(data['size']).toDouble(),
          ),
        ),
        subtitle: Text(data['desc']),
      );
    }).toList());
    list.add(DemoTitle('颜色'));
    list.add(ListTile(
      title: Text(
        '颜色',
        style: TextStyle(
          color: Colors.red,
        ),
      ),
    ));
    list.add(DemoTitle('加粗'));

    list.add(ListTile(
      title: Text(
        '加粗',
        style: TextStyle(fontWeight: FontWeight.bold),
      ),
    ));
    return list;
  }
}
