import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:yui/component/basic/global.dart';
import 'package:yui/component/feedback/toast.dart';
import 'package:yui/component/layout/cell.dart';
import 'package:yui/example/_common/base.dart';
import 'package:yui/main.dart';

class ToastDemo extends ExampleBase {
  ToastDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    return ListView(
      children: <Widget>[
        Container(
          margin: EdgeInsets.symmetric(vertical: 20),
          decoration: BoxDecoration(
            color: Colors.white,
          ),
          child: Column(
            children: <Widget>[
              DemoTitle('大分类'),
              YCell(
                title: Text(
                  '显示 toast',
                ),
                subtitle: Text('显示 toast 1s'),
                onTap: () {
                  YToast.show('显示 toast', duration: 1000);
                },
              ),
              YCell(
                title: Text(
                  '显示 长文字 toast',
                ),
                subtitle: Text('toast 最多2行'),
                onTap: () {
                  YToast.show(
                      '非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长');
                },
              ),
              YCell(
                title: Text(
                  '显示 ICON',
                ),
                subtitle: Text('显示 Icon ，Icon 颜色，大小自行控制'),
                onTap: () {
                  YToast.show('文字',
                      icon: Icon(
                        Icons.ac_unit,
                        color: Colors.white,
                        size: Yui.rpx(200),
                      ),
                      duration: 6 * 1000);
                },
              ),
              YCell(
                title: Text(
                  '显示 图片+文字',
                ),
                subtitle: Text('显示一个图片'),
                onTap: () {
                  YToast.show(
                      '非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长',
                      icon: Image.asset(
                        'assets/images/cat.jpeg',
                        fit: BoxFit.cover,
                      ),
                      duration: 6 * 10000);
                },
              ),
            ],
          ),
        ),
      ],
    );
  }
}
