import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:yui/component/basic/theme.dart';
import 'package:yui/component/layout/cell.dart';
import 'package:yui/main.dart';

class CellDemo extends ExampleBase {
  CellDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    return _CellWidget();
  }
}


class _CellWidget extends StatefulWidget {
  final Widget child;

  _CellWidget({Key key, this.child}) : super(key: key);

  __CellWidgetState createState() => __CellWidgetState();
}

class __CellWidgetState extends State<_CellWidget> {
    bool _giveVerse = true;

  @override
  Widget build(BuildContext context) {
    return ListView(
      children: <Widget>[
        Container(
          margin: EdgeInsets.symmetric(vertical: 20),
          decoration: BoxDecoration(
            color: Colors.white,
          ),
          child: Column(
            children: <Widget>[
              YCell(
                leading: Icon(Icons.usb),
                title: Text('主标题'),
                subtitle: Text('组标题描述内容，二级标题，组标题描述内容，二级标题，组标题描述内容，二级标题'),
                trailing: Icon(Icons.keyboard_arrow_right),
                enabled: true,
                isThreeLine: true,
                topDivider: true,
                onTap: () {
                  print('tip');
                },
              ),
              YCell(
                title: Text('主标题'),
                subtitle: Text('组标题描述内容，二级标题，组标题描述内容，二级标题，组标题描述内容，二级标题'),
                trailing: Icon(Icons.keyboard_arrow_right),
                enabled: false,
                onTap: () {
                  print('tip');
                },
              ),
              YCell(
                title: Text('主标题'),
                subtitle: Text('组标题描述内容，二级标题，组标题描述内容，二级标题，组标题描述内容，二级标题'),
                onTap: () {
                  print('tip');
                },
              ),
              YCell(
                title: Text('边距'),
                subtitle: Text('内边距的演示'),
                contentPadding:
                    EdgeInsets.symmetric(vertical: 10, horizontal: 30),
                onTap: () {
                  print('tip');
                },
              ),
              YCell(
                title: Text('IOS 样式开关'),
                trailing: CupertinoSwitch(
                  value: _giveVerse,
                  activeColor:YuiColors.primaryColor,
                  onChanged: (bool newValue) {
                    setState(() {
                      _giveVerse = newValue;
                    });
                  },
                ),
                onTap: () {
                  print('tip');
                },
              ),
              YCell(
                title: Text('ANDROID 样式开关'),
                trailing: Switch(
                  value: _giveVerse,
                  activeColor:YuiColors.primaryColor,
                  onChanged: (bool newValue) {
                    setState(() {
                      _giveVerse = newValue;
                    });
                  },
                ),
                onTap: () {
                  print('tip');
                },
              ),
            ],
          ),
        ),
      ],
    );
  }
}
