import 'package:flutter/material.dart';
import 'package:yui/main.dart';


class ContainerDemo extends ExampleBase {
  ContainerDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    return Center(
      child: this._getOutterBox(
        this._getBorderBox(
          this._getContentBox(
            this._getChild()
          )
        )
      ),
    );
  }

  Widget _getOutterBox(Widget child) {
    return Container(
        margin: EdgeInsets.only(top: 5),
        width: 300,
        height: 300,
        decoration: BoxDecoration(
          color: Color(0xffeeeeee),
          border: Border.all(width: 1, color: Colors.blue)
        ),
        child: Stack(
          children: <Widget>[
            child,
            Positioned(
              top: 8,
              left: 20,
              child: Text('margin'),
            ),
            Positioned(
              top: 15,
              left: 130,
              child: Text('border'),
            ),
            Positioned(
              top: 30,
              left: 230,
              child: Transform.rotate(
                angle: 45,
                child: Text('border radius'),
              )
            )
          ],
        ),
      );
  }
  Widget _getBorderBox(Widget child) {
    return Container(
      margin: EdgeInsets.all(30),
      width: 240,
      height: 240,
      decoration: BoxDecoration(
        color: Color(0xffcccccc),
        border: Border.all(width: 2, color: Colors.black),
        borderRadius: BorderRadius.all(Radius.circular(20)),
      ),
      child: Stack(
        children: <Widget>[
          Container(
            padding: EdgeInsets.all(20),
            child: child,
          ),
          Positioned(
            bottom: 5,
            left: 10,
            child: Text('Container'),
          ),
          Positioned(
            top: 2,
            left: 90,
            child: Text('padding'),
          ),
        ],
      ),
    );
  }
  Widget _getContentBox(Widget child) {
    return Container(
      width: 200,
      height: 200,
      color: Color(0xffaaaaaa),
      child: Stack(
        children: <Widget>[
          child,
          Positioned(
            top: 30,
            left: 50,
            child: Text('Alignment(0, 0)'),
          ),
        ],
      ),
    );
  }
  Widget _getChild() {
    return Container(
      alignment: Alignment(0, 0),
      child: Container(
        width: 100,
        height: 100,
        color: Color(0xff888888),
        child: Center(
          child: Text('Child\nContainer'),
        )
      ),
    );
  }

}

