import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:yui/main.dart';
class GridViewDemo extends ExampleBase {
  GridViewDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(vertical: 10, horizontal: 10),
      child: ListView(
        children: this._itemList(context),
      ),
    );
  }

  List<Widget> _itemList(BuildContext context) {
    return <Widget>[
      super.item(
        title: '通过 GridView.count 创建',
        context: context,
        children: <Widget>[
          Container(
            height: 400,
            child: GridView.count(
              crossAxisCount: 4,
              mainAxisSpacing: 4,
              crossAxisSpacing: 4,
              children: List<Widget>.filled(40, GridTile(
                child: Image.asset('assets/images/cat.jpeg', fit: BoxFit.cover,),
              )),
            ),
          ),
        ],
      ),
      SizedBox(
        height: 60,
      ),
      super.item(
        title: '通过 GridView.extent 创建',
        context: context,
        children: <Widget>[
          Container(
            height: 400,
            child: GridView.extent(
              maxCrossAxisExtent: 200,
              mainAxisSpacing: 4,
              crossAxisSpacing: 4,
              children: List<Widget>.filled(24, GridTile(
                child: Image.asset('assets/images/cat.jpeg', fit: BoxFit.cover,),
              )),
            ),
          ),
        ],
      ),
    ];
  }

}