import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:yui/main.dart';
class ListViewDemo extends ExampleBase {
  ListViewDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(vertical: 10, horizontal: 10),
      child: ListView(
        children: this._itemList(context),
      ),
    );
  }

  List<Widget> _itemList(BuildContext context) {
    return <Widget>[
      super.item(
        title: 'ListView 滚动列表',
        context: context,
        children: <Widget>[
          SizedBox(
            height: 15,
          ),
          Container(
            height: 150,
            decoration: BoxDecoration(
              border: Border.all(color: Colors.black87, width: 1),
            ),
            child: ListView(
              children: List<ListTile>.filled(20, ListTile(
                title: Text('青藏高原'),
                subtitle: Text('这是一条神奇的天路'),
                leading: Icon(Icons.theaters),
              )),
            ),
          ),
        ],
      ),
      SizedBox(
        height: 15,
      ),
      super.item(
        title: 'ListView 无限滚动',
        context: context,
        children: <Widget>[
          SizedBox(
            height: 15,
          ),
          Container(
            height: 230,
            decoration: BoxDecoration(
              border: Border.all(color: Colors.black87, width: 1),
            ),
            child: _MyList(),
          ),
        ],
      ),
    ];
  }
}

class _MyList extends StatefulWidget {

  @override
  _MyListState createState() => _MyListState();
}
class _MyListState extends State<_MyList> {
  int refreshCount = 1;

  Future _onRefresh() async {
    setState(() {
      refreshCount++;
    });
  }

  @override
  Widget build(BuildContext context) {
    return RefreshIndicator(
      onRefresh: _onRefresh,
      child: ListView.builder(
        // itemCount: 1,
        itemBuilder: (context, index) => ListTile(
          title: Text('$refreshCount 青藏高原'),
          subtitle: Text('这是一条神奇的天路${++index}'),
          leading: Icon(Icons.theaters),
        )
      ),
    );
  }
}