import 'package:flutter/material.dart';
import 'package:yui/main.dart';


class RowAndColumnDemo extends ExampleBase {
  RowAndColumnDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(vertical: 10, horizontal: 10),
      child: ListView(
        children: <Widget>[
          super.item(
            title: '行 Row',
            context: context,
            children: <Widget>[
              this._row(
                name: 'MainAxisAlignment.start',
                mainAxisAlignment: MainAxisAlignment.start
              ),
              this._row(
                name: 'MainAxisAlignment.center',
                mainAxisAlignment: MainAxisAlignment.center
              ),
              this._row(
                name: 'MainAxisAlignment.end',
                mainAxisAlignment: MainAxisAlignment.end
              ),
              this._row(
                name: 'MainAxisAlignment.spaceAround',
                mainAxisAlignment: MainAxisAlignment.spaceAround
              ),
              this._row(
                name: 'MainAxisAlignment.spaceEvenly',
                mainAxisAlignment: MainAxisAlignment.spaceEvenly
              ),
              this._row(
                name: 'MainAxisAlignment.spaceBetween',
                mainAxisAlignment: MainAxisAlignment.spaceBetween
              ),
              this._row(
                name: 'CrossAxisAlignment.start',
                crossAxisAlignment: CrossAxisAlignment.start
              ),
              this._row(
                name: 'CrossAxisAlignment.center',
                crossAxisAlignment: CrossAxisAlignment.center
              ),
              this._row(
                name: 'CrossAxisAlignment.baseline',
                crossAxisAlignment: CrossAxisAlignment.baseline
              ),
              this._row(
                name: 'CrossAxisAlignment.stretch',
                crossAxisAlignment: CrossAxisAlignment.stretch
              ),
              this._row(
                name: 'CrossAxisAlignment.end',
                crossAxisAlignment: CrossAxisAlignment.end
              ),
            ]
          ),
          SizedBox(
            height: 20,
          ),
          super.item(
            title: '列 Column',
            context: context,
            children: <Widget>[
              this._column(
                name: 'MainAxisAlignment.start',
                mainAxisAlignment: MainAxisAlignment.start
              ),
              this._column(
                name: 'MainAxisAlignment.center',
                mainAxisAlignment: MainAxisAlignment.center
              ),
              this._column(
                name: 'MainAxisAlignment.end',
                mainAxisAlignment: MainAxisAlignment.end
              ),
              this._column(
                name: 'MainAxisAlignment.spaceAround',
                mainAxisAlignment: MainAxisAlignment.spaceAround
              ),
              this._column(
                name: 'MainAxisAlignment.spaceEvenly',
                mainAxisAlignment: MainAxisAlignment.spaceEvenly
              ),
              this._column(
                name: 'MainAxisAlignment.spaceBetween',
                mainAxisAlignment: MainAxisAlignment.spaceBetween
              ),
              this._column(
                name: 'CrossAxisAlignment.start',
                crossAxisAlignment: CrossAxisAlignment.start
              ),
              this._column(
                name: 'CrossAxisAlignment.center',
                crossAxisAlignment: CrossAxisAlignment.center
              ),
              this._column(
                name: 'CrossAxisAlignment.baseline',
                crossAxisAlignment: CrossAxisAlignment.baseline
              ),
              this._column(
                name: 'CrossAxisAlignment.stretch',
                crossAxisAlignment: CrossAxisAlignment.stretch
              ),
              this._column(
                name: 'CrossAxisAlignment.end',
                crossAxisAlignment: CrossAxisAlignment.end
              ),
            ]
          ),
        ],
      ),
    );
  }

  Widget _row({
    String name,
    MainAxisAlignment mainAxisAlignment: MainAxisAlignment.start,
    CrossAxisAlignment crossAxisAlignment: CrossAxisAlignment.start
  }) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        SizedBox(
          height: 15,
        ),
        Text(name),
        Container(
          width: 200,
          height: 40,
          decoration: BoxDecoration(
            color: Color(0xffeeeeee),
            border: Border.all(width: 1, color: Color(0xffeeeeee)),
            borderRadius: BorderRadius.all(Radius.circular(2)),
          ),
          child: Row(
            mainAxisAlignment: mainAxisAlignment,
            crossAxisAlignment: crossAxisAlignment,
            textBaseline: TextBaseline.ideographic,
            children: <Widget>[
              Icon(Icons.star, color: Colors.yellow),
              Icon(Icons.star, color: Colors.yellow),
              Icon(Icons.star, color: Colors.yellow),
              Icon(Icons.star, color: Colors.yellow),
              Icon(Icons.star, color: Colors.yellow),
            ],
          ),
        )
      ],
    );
  }

  Widget _column({
    String name,
    MainAxisAlignment mainAxisAlignment: MainAxisAlignment.start,
    CrossAxisAlignment crossAxisAlignment: CrossAxisAlignment.start
  }) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        SizedBox(
          height: 15,
        ),
        Text(name),
        Container(
          width: 40,
          height: 200,
          decoration: BoxDecoration(
            color: Color(0xffeeeeee),
            border: Border.all(width: 1, color: Color(0xffeeeeee)),
            borderRadius: BorderRadius.all(Radius.circular(2)),
          ),
          child: Column(
            mainAxisAlignment: mainAxisAlignment,
            crossAxisAlignment: crossAxisAlignment,
            textBaseline: TextBaseline.ideographic,
            children: <Widget>[
              Icon(Icons.star, color: Colors.yellow),
              Icon(Icons.star, color: Colors.yellow),
              Icon(Icons.star, color: Colors.yellow),
              Icon(Icons.star, color: Colors.yellow),
              Icon(Icons.star, color: Colors.yellow),
            ],
          ),
        )
      ],
    );
  }

}