import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:yui/main.dart';
class StackDemo extends ExampleBase {
  StackDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    return Center(
      child: Container(
        width: 300,
        height: 300,
        decoration: BoxDecoration(
          border: Border.all(color: Colors.blue, width: 1),
        ),
        child: Stack(
          children: <Widget>[
            this._box(0, 0xffeeeeee),
            this._box(1, 0xffdddddd),
            this._box(2, 0xffcccccc),
            this._box(3, 0xffbbbbbb),
            this._box(4, 0xffaaaaaa),
            this._box(5, 0xff999999),
            this._box(6, 0xff888888),
            this._box(7, 0xff777777),
            this._box(8, 0xff666666),
            this._box(9, 0xff555555),
            this._box(10, 0xff444444),
            this._box(11, 0xff333333),
            this._box(12, 0xff222222),
            this._box(13, 0xff111111),
            this._box(14, 0xff000000),
          ],
        ),
      ),
    );
  }

  Widget _box(double index, color) {
    double len = 300 - index * 25;
    if (index > 11) {
      len = (300 - 11 * 25) / (2 * (index - 11));
    }
    return Positioned(
      top: 0,
      right: 0,
      child: Container(
        width: len,
        height: len,
        alignment: Alignment(-1, 1),
        color: Color(color),
        child: Text(index<9 ? 'stack index ${index.toInt()}' : ''),
      ),
    );
  }
}