import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:yui/component/view/badge.dart';
import 'package:yui/example/_common/base.dart';
import 'package:yui/main.dart';

class BadgeDemo extends ExampleBase {
  BadgeDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    var textTheme = Theme.of(context).textTheme;

    return ListView(
      children: <Widget>[
        Container(
          margin: EdgeInsets.symmetric(vertical: 20),
          decoration: BoxDecoration(
            color: Colors.white,
          ),
          child: Column(
            children: <Widget>[
              Container(
                child: Column(
                  children: <Widget>[
                    DemoTitle('基础用法'),
                    SizedBox(
                      height: 10,
                    ),
                    Container(
                      // height: 30.0,
                      child: Column(
                        children: <Widget>[
                          YBadge.before(
                            value: "10", // value to show inside the badge
                            child: Text("button"), // text to append (required)
                          ),
                          SizedBox(
                            height: 20,
                          ),
                          YBadge.after(
                            value: " 1 ", // value to show inside the badge
                            child: Text("button"), // text to append (required)
                          ),
                          SizedBox(
                            height: 20,
                          ),
                          YBadge.left(
                            value: "10", // value to show inside the badge
                            child: Text("button"), // text to append (required)
                          ),
                          SizedBox(
                            height: 20,
                          ),
                          YBadge.right(
                            value: "10", // value to show inside the badge
                            child: Text("button"), // text to append (required)
                          ),
                        ],
                      ),
                      // child: YBadge.before(
                      //   value: "Text", // value to show inside the badge
                      //   child:  Text("button") // text to append (required)
                      // ),
                    )
                  ],
                ),
              ),
              Container(
                child: Column(
                  children: <Widget>[
                    DemoTitle('其他用法'),
                    Container(
                        // width: 40.0,
                        // height: 40.0,
                        child: YBadge.after(
                            value: "Text", // value to show inside the badge
                            child: Text("button") // text to append (required)
                            ))
                  ],
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}
