import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:yui/component/view/noticebar.dart';
import 'package:yui/example/_common/base.dart';
import 'package:yui/main.dart';

class NoticebarDemo extends ExampleBase {
  NoticebarDemo(String path) : super(path);

  @override
  Widget getWidget(BuildContext context) {
    var textTheme = Theme.of(context).textTheme;

    return ListView(
      children: <Widget>[
        Container(
          margin: EdgeInsets.symmetric(vertical: 20),
          decoration: BoxDecoration(
            color: Colors.white,
          ),
          child: Column(
            children: <Widget>[
              Container(
                child: Column(
                  children: <Widget>[
                    DemoTitle('基础用法'),
                    SizedBox(
                      height: 10,
                    ),
                    Container(
                      height: 30.0,
                      child: YNoticebar(
                        text: "ListView是最常用的可滚动widget.它可以沿一个方向线性排布所有子widget",
                        textStyle:
                            TextStyle(fontSize: 16.0, color: Colors.redAccent),
                        scrollAxis: Axis.horizontal,
                        moveDistance: 3.0,
                      ),
                    )
                  ],
                ),
              ),
              Container(
                child: Column(
                  children: <Widget>[
                    DemoTitle('其他用法'),
                    SizedBox(
                      height: 10.0,
                    ),
                    Container(
                      width: 40.0,
                      height: 40.0,
                      child: YNoticebar(
                        text: "ListView是最常用的可滚动widget.它可以沿一个方向线性排布所有子widget",
                        textStyle:
                            TextStyle(fontSize: 16.0, color: Colors.redAccent),
                        scrollAxis: Axis.vertical,
                        moveDistance: 3.0,
                      ),
                    )
                  ],
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}
