var config = require('../assets/config')
var fs = require('fs-extra')
var mkdirp = require('mkdirp')
var rd = require('rd');
var path = require('path')
var input = [];
var componentInput = [];

var tempDart = fs.readFileSync('tool/temp.dart').toString();

function tryMakeFile(baseurl, component, title) {
  var url = `lib/example/${baseurl}.dart`
  input.push(`import 'package:yui/example/${baseurl}.dart';`)
  componentInput.push(`  '${component}': (String path)=> ${component}(path),`)
  //创建模板页面
  if (!fs.pathExistsSync(url)) {
    if (!fs.pathExistsSync(path.dirname(url))) {
      mkdirp.sync(path.dirname(url));
    }
    var info = tempDart.replace(/_TempDemo/g, component);
    fs.writeFileSync(url, info, 'utf-8')
    console.log(`--------${url} 创建成功`)
  } else {
    console.log(`${url} 文件存在`)
  }


  var mdurl = `assets/docs/md/${baseurl}.md`
  //创建模板页面
  if (!fs.pathExistsSync(mdurl)) {
    if (!fs.pathExistsSync(path.dirname(mdurl))) {
      mkdirp.sync(path.dirname(mdurl));
    }
    fs.writeFileSync(mdurl, `### ${title}
组件描述
### 代码
<<< @/lib/example/${baseurl}.dart
`, 'utf-8')
  }
  //创建组件目录
  var componenturl = `lib/component/${baseurl}.dart`
  if (!fs.pathExistsSync(componenturl)) {
    if (!fs.pathExistsSync(path.dirname(componenturl))) {
      mkdirp.sync(path.dirname(componenturl));
    }
    fs.writeFileSync(componenturl, ``, 'utf-8')
  }


}

config.forEach(element => {
  element.items.forEach(item => {
    tryMakeFile(`${element.ename}/${item.ename}`, item.component, item.name);
  })
});

//生成config 文件
var dartConfig = ''
dartConfig += input.join('\n');

componentInput.unshift(`\nMap<String, Function> allMap = {`)
componentInput.push(`};\n`)
dartConfig += componentInput.join('\n');

fs.writeFileSync('lib/example/_common/config.dart', dartConfig, 'utf-8')



console.log()
input = []
rd.eachFileFilterSync('lib/component/', /\.dart$/, function (f, s) {

  input.push(`export '${path.relative('', f).replace('lib/','./')}';`)
});
var yui = 'library yui;\n';
yui += input.map((v) => v.replace(`import 'package:yui/example`, `export './component`)).join('\n');

fs.writeFileSync('lib/yui.dart', yui, 'utf-8')